body { 
  margin: 0em !important;
}

div#t-container {
  margin: 1em;
  padding: 0px 0px 0px 0px;
}

div#t-header {
	position: fixed;
	width: 100%;
	height: 4em;
	top: 0px;
	left: 0px;
	z-index: 9999;
}

div#t-center {
	margin-top: 4.5em;	
}

div#t-msg {
	margin-top: .5em;
}

input[type="text"], input[type="submit"] { /* This style should remove the iOS overriding the submit button styling */
  -webkit-appearance: none;
}

/************  Menu Styling  *************/
div#t-links {
	background-color: #3A5795;
	margin: 0em;
}

div#t-links .nav {
	width: 100%;
}

div#t-links .nav li a {
	color: white;
	font-size: larger;	
}

div#t-links .nav li a:hover,
div#t-links .nav li.active a {
	color: black;
}

div#t-links ul.nav li#l-landingpad a {
	background-image: url('../img/menu-white.png');
	background-size: 2em 100%;
	background-repeat: no-repeat;
	background-position: center top;
	width: 4em;
	padding-left: .5em;
	padding-right: .5em;
}

div#t-links ul.nav li#l-landingpad.active a {
	background-image: url('../img/menu-black.png');
}

div#t-links ul.nav li#l-notice-unread-msg {
	background-color: red;
	color: white;
	font-weight: bold;
	float: right;
}

div#t-links ul.nav li#l-notice-unread-msg a {
  margin-right: 0px !important;
}
	
/*********  Landing Page  *************/	
	
div.c-landingpage h2 {
	font-size: 2em;
	width: 100%;
	margin: 0em;
	padding: .5em .5em .5em .5em;
	background-color: #E9EAED; 
	background-image: url('../img/right-arrow.png');
	background-repeat: no-repeat;
	background-size: auto 70% ;
	background-position: right center;	
	color: #797979 !important;
	border-bottom: 2px solid #797979;
}

div.c-landingpage h2:first-of-type {
  border-top: 1px solid #797979;
}

div.c-landingpage h2 a:hover,
div.c-landingpage h2 a {
	display: block;
	width: 100%;
	/*height: 100%;*/
	text-decoration: none;
	color: #797979 !important;
}	

div.c-landingpage img {
  width: 95%;
  max-width: 700px;
  margin-top: 2em;
}

div.c-landingpage a.btn { 
  margin-top: 4em;
}

div.version {
  color: #797979 !important;
  text-align: center;
}
	
/******* Availability Page  ******/

.availability-btn   {
  display: flex;
  margin-bottom: 1em;
}
.availability-btn .btn-parent {
  flex-grow: 1;
  border-top-right-radius: 0px;
  border-bottom-right-radius: 0px;
}
.availability-btn .btn-child {
  border-left: 1px solid gray;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}
.availability-btn .btn-child span {
  font-size: 22px; /* increase the the size of the clock icon */
}
div#modalStatusDuration { /* Styles the background for the modal */
  align-content: center !important;
  background-color: #d3d3d391;
}
div#modalStatusDuration input[type="radio"] { /* hides the radio button circle on the radio inputs */
  appearance: none;
  -webkit-appearance: none; /* For Safari/iOS compatibility */
  margin: 0;
}

/*******  Profile Page  ******/

div.c-profile div label {
	display: block;
	font-weight: bold;
	width: 90%;
}

div.c-profile input[type='email'] {
	width: 100%
}

div.c-profile div.skill-set {
	margin-top: .2em;
	margin-bottom: .2em;
	padding: .2em;
	border-bottom: 1px solid #CCC; 
}

div.c-profile div.skill-set label  {
	display: inline-block;
}

div.c-profile div.skill-set input {
	float: right;
}

div.c-profile input[type='submit'] {
	margin-top: 2em;
}
	
div.c-profile div.btn-group label.btn-primary { 
  margin-bottom: 1em; 
  background-color: #E1E1E8;
  border-color: #808080;
  color: #999999;
}

div.c-profile div.btn-group label.active { 
  background-color: #DFF0D8; 
  border-color: #DFF0D8;
  color: #57A957;
}

/*******  Admin Page Styles  ******/

/* Members section */

/* This should bring the dropdown back on screen instead of flowing off to the right */
div#collapseMemberDetails ul.dropdown-menu {
  left: -100;
}

div#collapseMemberDetails ul.dropdown-menu li:not(.divider) {
  padding-top: 5px;
  padding-bottom: 5px;
}

/* Skills sets section */
	
div.skillset-existing {
	margin-bottom: .5em;
}

div.skillset-addnew {
	font-weight: bold;
  margin-bottom: 2em;
}

/* These styles ensure that the skillset dialog appears vertically
   and horizonatly centered with a transprent backgound */
.modal-open div#skillsetDetailsModal.modal.in {
	align-items: center;
	display: flex !important;
	background: rgb(55, 55, 55, 0.3);
}

.modal-open div#skillsetDetailsModal.modal.in .modal-dialog {
	margin: auto !important;
}

/*******  Deployment Page (Future Availability)  ******/

/**
 *  Forces the list items in the View All members section to be 
 *  horizontial instead of vertical.
 */
div.c-future-availability div#allMemberDeploymentAvailability ul.list-group li.list-group-item {
  display: inline-block;  
  border-width: 0px;
}	


/*******  Common Styles  ******/

.mb-1 { margin-bottom: 1em; }
.mt-1 { margin-top: 1em; }
.mr-1 { margin-right: 1em; }
.ml-1 { margin-left: 1em; }

.mb-2 { margin-bottom: 2em; }
.mt-2 { margin-top: 2em; }
.mr-2 { margin-right: 2em; }
.ml-2 { margin-left: 2em; }

div.info-callout {
  border-top: 1px solid lightgray;
  border-right: 1px solid lightgray;
  border-bottom: 1px solid lightgray;
  border-left: .5em solid #1b809e;
  border-radius: 4px;
  padding: .4em;
}

div.info-callout h4 {
  color:#1b809e;
  font-weight: bold;
}

/*******  Yet to be catagorised styles  ******/
	
tr.unavilable,
div.unavailable {
  background-color: #D3D3D3;
}

form#frmLogin input.txtPassword {
	-webkit-text-security: disc;
}

form#frmLogin input[type='submit'] {
	margin-top: 2em;
}

form#frmLogin a.lnkSignUp {
	display: block;
	margin-top: 2em;
	margin-bottom: 8em;
}

form#frmAvailability table td {
  margin: 2em;
  text-align: center;
  font-weight: bold;
  font-size: larger;
}

form#frmLandingpad {
	margin-bottom: 1em;	
}

form#frmRegister .form-control, form#frmRegister .btn {
	margin-top: 1em;	
}

div.refresh-countdown {
	padding: 1em;
	float: right;
}

div.member-message div.details {
	font-weight: bold;
	margin-bottom: .4em;
}
